"""
The setup.py script needed to build a .egg for an easier distribution
and installation of todotxt.

Requires 'Easy Install' to be installed :)
see there: http://peak.telecommunity.com/DevCenter/EasyInstall#installation-instructions

Then to create a package run (or see below for 'automagical' commands):
$ python setup.py bdist_egg

To use the generated .egg file then:
$ easy_install todotxt-{todotxt version}-py{python version}.egg

Automagical stuff:

- build the packages (sources an egg) and upload all the stuff to pypi
$ python setup.py register sdist bdist_egg upload

"""

from setuptools import setup, find_packages

setup(
    name = "todotxt",
    version = "1.8",
    packages = find_packages(),
#     package_data = {
#         # If any package contains *.txt or *.rst files, include them:
#         '': ['artwork/*.png','artwork/*.svg','artwork/*.icns','artwork/*.txt'],
#     },

    # metadata for upload to PyPI
    author = "Thibauld Nion",
    author_email = "tibonihoo_\\'a_yahoo.fr",
    description = "Not a whole lab, just a small bench...",
    license = "GPL",
    keywords = "todo gtd txt format",
    url = "http://todotxt.org",   # project home page, if any

	# more details
	long_description = """Get organised by using GTD tools based on a simple and efficient format... an actual todolist.""",
	classifiers=['Development Status :: 4 - Beta',
				 'Intended Audience :: End Users/Desktop',
				 'License :: OSI Approved :: GPL License',
				 'Operating System :: OS Independent',
				 'Programming Language :: Python',
				 'Topic :: Software Development :: Libraries :: Python Modules'],
	platforms='All'
)
