import os

class TodoManager(object):
	"""
	Grant access to todo files and related operations. Makes it
	possible to define a unique path the file and change this path in
	a proper way.

	Follows Borg pattern from::

	  http://aspn.activestate.com/ASPN/Cookbook/Python/Recipe/66531
	"""
	__shared_state = {
		"TODO_DIR" : os.path.expanduser("~/todo"),
		# Your todo/done/report.txt locations
		"TODO_FILE"		: "",
		"DONE_FILE"		: "",
		"REPORT_FILE"	: "",
		"TMP_FILE" 		: "",
		}
	def __init__(self):
		self.__dict__ = self.__shared_state
		if self.TODO_FILE == "":
			self._set_todo_filepaths()
			
	#--- Changing the path to the todo files

	def _set_todo_filepaths(self):
		"""
		Set the todo files paths to the right... paths
		"""
		self.TODO_FILE	= os.path.join(self.TODO_DIR,
									   "todo.txt")
		self.DONE_FILE	= os.path.join(self.TODO_DIR,
									   "done.txt")
		self.REPORT_FILE= os.path.join(self.TODO_DIR,
									   "report.txt")
		self.TMP_FILE	= os.path.join(self.TODO_DIR,
									   "todo.tmp")

	def changeTodoDir(self,new_path):
		"""
		Change the path where to look for the todo file.
		"""
		self.TODO_DIR = new_path
		self._set_todo_filepaths()



if __name__=="__main__":
	t = TodoManager()
	print t.TODO_FILE

	t2 = TodoManager()
	t2.changeTodoDir("bla")
	print t.TODO_FILE

